<p-dialog [(visible)]="display" header="Titulo" [position]="utilitiesConfig.optionsDialog.position"
    [modal]="utilitiesConfig.optionsDialog.modal" [styleClass]="utilitiesConfig.optionsDialog.styleClass"
    [breakpoints]="utilitiesConfig.optionsDialog.breakpoints" [baseZIndex]="utilitiesConfig.optionsDialog.baseZIndex"
    [draggable]="utilitiesConfig.optionsDialog.draggable" [maximizable]="utilitiesConfig.optionsDialog.maximizable"
    [style]="utilitiesConfig.optionsDialog.style" [contentStyle]="utilitiesConfig.optionsDialog.contentStyle"
    (onHide)="goToPage()">

    <ng-template pTemplate="header">
        <span class="p-dialog-title">
            <em class="pi pi-pencil"></em>
            Seguir patrones
        </span>
        <div class="ties">
            <span class="void">
                <span class="tie-knot"></span>
            </span>
            <span class="void">
                <span class="tie-knot"></span>
            </span>
        </div>
    </ng-template>
    <div class="contenedor" *ngIf="!cont">
        <h2 *ngIf="puntos == 0">SIMON DICE</h2>
        <h2 *ngIf="puntos != 0"><b>Tu puntaje:</b> {{puntos}}</h2>
        <input type="button" name="inicio" (click)="inicio()" value="{{textButton}}">
    </div>
    <h3 class="cls"><img src="assets/images/simon-says/{{textIndication == 'Pon atención ' ? 'ojo.png' : 'bandera.png'}}" width="50" height="40">{{textIndication}}</h3>
    <section class="prin">
        <article id="bot1" (click)="marcar($event)"></article>
        <article id="bot2" (click)="marcar($event)"></article>
        <article id="bot3" (click)="marcar($event)"></article>
        <article id="bot4" (click)="marcar($event)"></article>
    </section>

    <ng-template pTemplate="footer">
    </ng-template>
</p-dialog>